Bug 65508 - kdelibs: many icons not correct size
Summary: kdelibs: many icons not correct size
Status: RESOLVED FIXED
Alias: None
Product: artwork
Classification: Miscellaneous
Component: general (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: NOR normal with 20 votes (vote)
Target Milestone: ---
Assignee: Frans Englich
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-10-04 23:29 UTC by ccheney
Modified: 2018-12-07 18:14 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description ccheney 2003-10-04 23:29:42 UTC
Version:            (using KDE KDE 3.1.4)
Installed from:    Compiled From Sources
OS:          Linux

I received a bug report in the Debian BTS that share.png was the wrong size (34x34) and hence wasn't used. I decided to look through the icons in kdelibs to see which other icons didn't match their purported size (16x16, 32x32, 48x48) and found quite a lot. I have included the list of icons for 16x16 and 32x32 that are not their respective sizes. With as many wrong sized(?) icons in kdelibs someone probably should go through the rest of the KDE cvs and verify there aren't more like them. Is this only a problem when the icon is bigger than it should be, or a different size at all?

Chris Cheney
Debian KDE Maintainer

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=211441

16x16
---
cr16-action-about_kde.png
cr16-action-back.png
cr16-action-blend.png
cr16-action-bookmark2.png
cr16-action-bookmark_add2.png
cr16-action-bookmark_add.png
cr16-action-bookmark_folder2.png
cr16-action-bookmark.png
cr16-action-bookmark_toolbar2.png
cr16-action-bookmark_toolbar.png
cr16-action-bottom.png
cr16-action-colorize.png
cr16-action-color_line.png
cr16-action-colorpicker.png
cr16-action-compfile.png
cr16-action-completion.png
cr16-action-configure_shortcuts.png
cr16-action-configure_toolbars.png
cr16-action-connect_creating.png
cr16-action-connect_established.png
cr16-action-connect_no.png
cr16-action-contents2.png
cr16-action-contents.png
cr16-action-contexthelp.png
cr16-action-down.png
cr16-action-editclear.png
cr16-action-fileexport.png
cr16-action-fileimport.png
cr16-action-fileopen.png
cr16-action-filequickprint.png
cr16-action-filesaveas.png
cr16-action-filesave.png
cr16-action-fill.png
cr16-action-filter.png
cr16-action-finish.png
cr16-action-flag.png
cr16-action-folder_new.png
cr16-action-fork.png
cr16-action-forward.png
cr16-action-frame_image.png
cr16-action-gear.png
cr16-action-help.png
cr16-action-idea.png
cr16-action-identity.png
cr16-action-inline_image.png
cr16-action-inline_table.png
cr16-action-launch.png
cr16-action-make_kdevelop.png
cr16-action-music_cleficon.png
cr16-action-music_cross.png
cr16-action-music_dottednote.png
cr16-action-music_fermatenote.png
cr16-action-music_flat.png
cr16-action-music_natur.png
cr16-action-news_subscribe.png
cr16-action-news_unsubscribe.png
cr16-action-ok.png
cr16-action-paintbrush.png
cr16-action-pencil.png
cr16-action-redo.png
cr16-action-reload_page.png
cr16-action-reload.png
cr16-action-revert.png
cr16-action-save_all.png
cr16-action-tab_new_bg.png
cr16-action-thumbnail.png
cr16-action-top.png
cr16-action-transform.png
cr16-action-translate.png
cr16-action-undo.png
cr16-action-up.png
cr16-action-viewmag1.png
cr16-action-viewmagfit.png
cr16-action-wizard.png
cr16-device-mo_unmount.png
cr16-filesys-folder_mail.png
cr16-filesys-ftp.png
cr16-filesys-network_local.png
cr16-filesys-shredder.png
cr16-mime-binary2.png
cr16-mime-colorscm.png
cr16-mime-document2.png
cr16-mime-dvi.png
cr16-mime-gf.png
cr16-mime-man.png
cr16-mime-metafont.png
cr16-mime-misc_doc.png
cr16-mime-netscape_doc.png
cr16-mime-news.png
cr16-mime-pk.png
cr16-mime-postscript.png
cr16-mime-readme.png
cr16-mime-recycled.png
cr16-mime-shellscript2.png
cr16-mime-shellscript.png
cr16-mime-source_c.png
cr16-mime-source_cpp.png
cr16-mime-source_f.png
cr16-mime-source_h.png
cr16-mime-source_l.png
cr16-mime-source_o.png
cr16-mime-source_pl.png
cr16-mime-source_py.png
cr16-mime-source_s.png
cr16-mime-source_y.png
cr16-mime-vcalendar.png
cr16-mime-vcard.png
cr16-mime-vectorgfx.png
cr16-mime-wordprocessing.png


32x32
---
cr32-action-back.png
cr32-action-colorize.png
cr32-action-down.png
cr32-action-forward.png
cr32-action-identity.png
cr32-action-kdevelop_down.png
cr32-action-music_32ndnote.png
cr32-action-music_cleficon.png
cr32-action-music_cross.png
cr32-action-music_dottednote.png
cr32-action-music_eightnote.png
cr32-action-music_fermatenote.png
cr32-action-music_flat.png
cr32-action-music_fullnote.png
cr32-action-music_halfnote.png
cr32-action-music_natur.png
cr32-action-music_quarternote.png
cr32-action-music_sixteenthnote.png
cr32-action-reload.png
cr32-action-share.png
cr32-action-up.png
cr32-filesys-folder_grey_open.png
cr32-filesys-folder_image.png
cr32-filesys-folder_wordprocessing.png
cr32-mime-binary2.png
cr32-mime-dvi.png
cr32-mime-metafont.png
cr32-mime-mime_ascii.png
cr32-mime-real_doc.png
cr32-mime-shellscript2.png
cr32-mime-source_pl.png
cr32-mime-source.png
cr32-mime-vectorgfx.png
cr32-mime-wordprocessing.png
Comment 1 ccheney 2003-10-04 23:37:38 UTC
I forgot to list the ones for 22x22. 
 
22x22 
--- 
cr22-action-back.png 
cr22-action-colorize.png 
cr22-action-contents2.png 
cr22-action-contexthelp.png 
cr22-action-down.png 
cr22-action-fileimport.png 
cr22-action-fork.png 
cr22-action-forward.png 
cr22-action-kde.png 
cr22-action-launch.png 
cr22-action-mail_delete2.png 
cr22-action-mail_find2.png 
cr22-action-mail_generic2.png 
cr22-action-mail_get2.png 
cr22-action-mail_new2.png 
cr22-action-mail_new3.png 
cr22-action-mail_post_to2.png 
cr22-action-mail_post_to3.png 
cr22-action-math_frac.png 
cr22-action-math_onetwomatrix.png 
cr22-action-music_32ndnote.png 
cr22-action-music_cleficon.png 
cr22-action-music_cross.png 
cr22-action-music_dottednote.png 
cr22-action-music_eightnote.png 
cr22-action-music_fermatenote.png 
cr22-action-music_flat.png 
cr22-action-music_fullnote.png 
cr22-action-music_halfnote.png 
cr22-action-music_natur.png 
cr22-action-music_quarternote.png 
cr22-action-music_sixteenthnote.png 
cr22-action-next.png 
cr22-action-player_fwd.png 
cr22-action-player_play.png 
cr22-action-player_rew.png 
cr22-action-previous.png 
cr22-action-reload.png 
cr22-action-signature.png 
cr22-action-sub.png 
cr22-action-super.png 
cr22-action-translate.png 
cr22-action-up.png 
cr22-action-wizard.png 
 
Comment 2 Kenneth Wimer 2003-11-14 19:41:28 UTC
I have replaced a lot of icons but I jsut checked and there are still lots of old ones left with funky sizes....all of the music icons appear to be very bad...as well as a few others.

All new icons will appear with the correct sizey, but I cannot say when we will get around to changing all of these icons. I didn't check in any incorrectly sized icons, and we can only draw so fast...
Comment 3 Nicolas L. 2005-08-22 22:20:21 UTC
is this bug still valid ?
Comment 4 Nate Graham 2018-12-07 18:14:09 UTC
No longer applicable with Breeze icons.